xchat freezes when trying to connect to a server

Bug #274799 reported by unf on 2008-09-26
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
xchat (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: xchat

When I try to connect to a network, gets frozen. If I choose to skip the Network List dialog and retry to open it, it freezes too. Here's the ps line for the process:

unf 7543 0.1 0.5 21960 9724 pts/0 S+ 15:36 0:00 xchat

Distro & package info:

unf@alice:~$ lsb_release -rd
Description: Ubuntu intrepid (development branch)
Release: 8.10

unf@alice:~$ apt-cache policy xchat
xchat:
  Instalados: 2.8.6-2ubuntu1
  Candidato: 2.8.6-2ubuntu1
  Tabla de versión:
 *** 2.8.6-2ubuntu1 0
        500 http://archive.ubuntu.com intrepid/universe Packages
        100 /var/lib/dpkg/status

Ask me for further information. I don't know what else can be useful.

Pedro Villavicencio (pedro) wrote :

Thanks for your bug report. Please try to obtain a backtrace of the freeze http://wiki.ubuntu.com/DebuggingProgramCrash and attach the file to the bug report. This will greatly help us in tracking down your problem.

Changed in xchat:
importance: Undecided → Medium
status: New → Incomplete

It's seems to have bin fixed. Sorry for the delay.

On Fri, Sep 26, 2008 at 3:46 PM, Pedro Villavicencio <email address hidden>wrote:

> Thanks for your bug report. Please try to obtain a backtrace of the
> freeze http://wiki.ubuntu.com/DebuggingProgramCrash and attach the file
> to the bug report. This will greatly help us in tracking down your
> problem.
>
> ** Changed in: xchat (Ubuntu)
> Importance: Undecided => Medium
> Status: New => Incomplete
>
> --
> xchat freezes when trying to connect to a server
> https://bugs.launchpad.net/bugs/274799
> You received this bug notification because you are a direct subscriber
> of the bug.
>

If this is fixed, can we close the bug?

Daniel Nelson (packetcollision) wrote :

It still happens for me. I will attempt to get a backtrace ASAP

Daniel Nelson (packetcollision) wrote :

Backtrace with the latest up-to-date karmic-amd64 packages.

Launchpad Janitor (janitor) wrote :

[Expired for xchat (Ubuntu) because there has been no activity for 60 days.]

Changed in xchat (Ubuntu):
status: Incomplete → Expired
unf (unfito) wrote : Good news!

Dear friend,
Just got an Nikon D80 10.2MP Digital SLR Camera on this website: bihoir.com
Much cheaper than the market price. If you want to buy digital products,
just order online and you will get the high quality products.
Hope you can enjoy shopping!
Thanks & Regards!

Stefan Tauner (stefanct) on 2014-01-08
Changed in xchat (Ubuntu):
status: Expired → Confirmed
Stefan Tauner (stefanct) wrote :

This is not fixed but quite hard to reproduce. I am quite "lucky" to be able to reproduce it now quite consistently on my (mostly) 12.04 installation. I am using various packages from quantal, raring, saucy and I think even trusty because I need a lot of different updated texlive packages, but they have relatively few dependencies so they are probably not related (but you can notice that by the harmless Fontconfig warnings in the gdb log attached). I do have some glib packages apparently from quantal too, which might be related but certainly not the cause of my problems - I am very sure I saw this before quantal (probably even before precise) came out.

The problem with this bug is that it is very much depending on timing and/or external circumstances. There are many bug reports on other trackers, forums etc. and no one was able to reproduce it consistently. I have experienced the bug in different networks with different probabilities, i.e. it was obviously depending on the network connecting me to the internet and was consistently there on one network and perfectly fine on the other one just 30mins later with no changes whatsoever... repeatedly.

The attached log has 3 runs of xchat interrupted after it has entered the endless loop in question (look out for "Starting program: /usr/bin/xchat"). I have installed libglib2.0-0-dbg (2.34.0-1ubuntu1 from 12.10) after the first run and libgtk2.0-0-dbg (2.24.10-0ubuntu6 from 12.04) after the second run. With someone dares to look at this I am happy to provide more information if need be.

Stefan Tauner (stefanct) wrote :

Oh and BTW the other thread (there are exactly two at that point) has always the same stack trace (so is probably just blocked at that select call):
Thread 2 (Thread 0x7fffe565d700 (LWP 5684)):
#0 0x00007ffff529d763 in select () at ../sysdeps/unix/syscall-template.S:82
#1 0x00007fffe573898a in NotifierThreadProc (clientData=<optimized out>) at /build/buildd/tcl8.5-8.5.11/unix/../unix/tclUnixNotfy.c:988
#2 0x00007ffff662fe9a in start_thread (arg=0x7fffe565d700) at pthread_create.c:308
#3 0x00007ffff52a43fd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#4 0x0000000000000000 in ?? ()

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers